Apply Scheduled Pause

View as Markdown
Apply a scheduled pause (pause_at_end). This endpoint is INTERNAL and only callable by Restate workflows. It transitions a subscription with pause_at_end=True to PAUSED state at period end. Workflow calls this when APPLY_SCHEDULED_PAUSE action is returned by evaluate endpoint. Returns ApplyScheduledPauseResponse with status: - "activated": Pause activated successfully - "skipped": No scheduled pause to apply

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

subscription_idstringRequired
account_idstringRequired

Headers

X-Restate-Secret-Keystring or nullOptional
X-System-Reasonstring or nullOptional

Response

Successful Response
statusenum
subscription_idstring or nullOptional
reasonstring or nullOptional

Errors

422
Unprocessable Entity Error